<?php

$conta_paypal = "E-mail ou identificado"; // E-mail cadastrado no PayPal ou identificao da conta
$API_UserName = "Usurio da API"; // Usurio da API
$API_Password = "Senha da API"; // Senha da API
$API_Signature = "Assinatura API"; // Assinatura API

	include("../dbconnect.php");
	include("../configuration.php");
	require '../includes/adminfunctions.php';
	include '../includes/functions.php';

// Evitar que acessem essa pgina caso no esteja logado com perfil de administrador.

	if ($_SESSION['adminloggedinstatus'] != 'true')
	{
	echo 'Acesso Negado, Redirecionando...';
	echo" <META HTTP-EQUIV=\"Refresh\"  CONTENT=\"1; URL=login.php\">";
	exit();
	}

function PPHttpPost($methodName_, $nvpStr_) {
	
    global  $API_UserName,  $API_Password , $API_Signature ;
    $API_UserName = urlencode($API_UserName);
    $API_Password = urlencode($API_Password);
    $API_Signature = urlencode($API_Signature);
	$API_Endpoint = "https://api-3t.paypal.com/nvp";
	$version = urlencode('51.0');
	$ch = curl_init();
	curl_setopt($ch, CURLOPT_URL, $API_Endpoint);
	curl_setopt($ch, CURLOPT_VERBOSE, 1);
	curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);
	curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, FALSE);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	curl_setopt($ch, CURLOPT_POST, 1);
	$nvpreq = "METHOD=$methodName_&VERSION=$version&PWD=$API_Password&USER=$API_UserName&SIGNATURE=$API_Signature$nvpStr_";
	curl_setopt($ch, CURLOPT_POSTFIELDS, $nvpreq);
	$httpResponse = curl_exec($ch);
	if(!$httpResponse) {
		exit("$methodName_ failed: ".curl_error($ch).'('.curl_errno($ch).')');
	}
	$httpResponseAr = explode("&", $httpResponse);
	$httpParsedResponseAr = array();
	foreach ($httpResponseAr as $i => $value) {
		$tmpAr = explode("=", $value);
		if(sizeof($tmpAr) > 1) {
			$httpParsedResponseAr[$tmpAr[0]] = $tmpAr[1];
		}
	}
	if((0 == sizeof($httpParsedResponseAr)) || !array_key_exists('ACK', $httpParsedResponseAr)) {
		exit("Invalid HTTP Response for POST request($nvpreq) to $API_Endpoint.");
	}

	return $httpParsedResponseAr;
}

$nvpStr="";

$httpParsedResponseAr = PPHttpPost('GetBalance', $nvpStr);

if("SUCCESS" == strtoupper($httpParsedResponseAr["ACK"]) || "SUCCESSWITHWARNING" == strtoupper($httpParsedResponseAr["ACK"])) {
    //exit('GetBalance Completed Successfully: '.print_r($httpParsedResponseAr, true));

if ("BRL"== $httpParsedResponseAr['L_CURRENCYCODE0'])
	$sigla="R$ "; else $br="$ ";

    echo "Saldo PayPal $sigla" . urldecode($httpParsedResponseAr['L_AMT0']) ." " . urldecode($httpParsedResponseAr['L_CURRENCYCODE0']) ." conta ". $conta_paypal ;
	
} else  {
	exit('Falha ao obter dados do PayPal');
}

?>